【请教】Centos下怎么修改odoo9自带的启动服务脚本



  • 从github/odoo上面拖下odoo9.0的源码文件,将odoo源码下/debian文件夹下面的init脚本,加载到/etc/init.d/里,修改好权限后,相关路径根据自己的安装环境修改好后,运行提示starting odoo:ok,但是并没有启动。请教Centos下怎么修改odoo9自带的启动服务脚本
    启动脚步源码如下:
    #!/bin/bash
    ### BEGIN INIT INFO
    # Provides:          odoo.py
    # Required-Start:    $remote_fs $syslog
    # Required-Stop:    $remote_fs $syslog
    # Default-Start:    2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Start odoo daemon at boot time
    # Description:      Enable service provided by daemon.
    # X-Interactive:    true
    ### END INIT INFO
    ## more info: http://wiki.debian.org/LSBInitScripts

    . /lib/lsb/init-functions

    PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
    DAEMON=/usr/bin/odoo.py
    NAME=odoo
    DESC=odoo
    CONFIG=/etc/odoo/openerp-server.conf
    LOGFILE=/var/log/odoo/odoo-server.log
    PIDFILE=/var/run/${NAME}.pid
    USER=odoo
    export LOGNAME=$USER

    test -x $DAEMON || exit 0
    set -e

    function _start() {
        start-stop-daemon --start --quiet --pidfile $PIDFILE --chuid $USER:$USER --background --make-pidfile --exec $DAEMON -- --config $CONFIG --logfile $LOGFILE
    }

    function _stop() {
        start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo --retry 3
        rm -f $PIDFILE
    }

    function _status() {
        start-stop-daemon --status --quiet --pidfile $PIDFILE
        return $?
    }


    case "$1" in
            start)
                    echo -n "Starting $DESC: "
                    _start
                    echo "ok"
                    ;;
            stop)
                    echo -n "Stopping $DESC: "
                    _stop
                    echo "ok"
                    ;;
            restart|force-reload)
                    echo -n "Restarting $DESC: "
                    _stop
                    sleep 1
                    _start
                    echo "ok"
                    ;;
            status)
                    echo -n "Status of $DESC: "
                    _status && echo "running" || echo "stopped"
                    ;;
            *)
                    N=/etc/init.d/$NAME
                    echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
                    exit 1
                    ;;
    esac

    exit 0



  • 从github/odoo上面拖下odoo9.0的源码文件,将odoo源码下/debian文件夹下面的init脚本,加载到/etc/init.d/里,修改好权限后,相关路径根据自己的安装环境修改好后,运行提示starting odoo:ok,但是并没有启动。请教Centos下怎么修改odoo9自带的启动服务脚本
    启动脚步源码如下:
    #!/bin/bash
    ### BEGIN INIT INFO
    # Provides:          odoo.py
    # Required-Start:    $remote_fs $syslog
    # Required-Stop:    $remote_fs $syslog
    # Default-Start:    2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: Start odoo daemon at boot time
    # Description:      Enable service provided by daemon.
    # X-Interactive:    true
    ### END INIT INFO
    ## more info: http://wiki.debian.org/LSBInitScripts

    . /lib/lsb/init-functions

    PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
    DAEMON=/usr/bin/odoo.py
    NAME=odoo
    DESC=odoo
    CONFIG=/etc/odoo/openerp-server.conf
    LOGFILE=/var/log/odoo/odoo-server.log
    PIDFILE=/var/run/${NAME}.pid
    USER=odoo
    export LOGNAME=$USER

    test -x $DAEMON || exit 0
    set -e

    function _start() {
        start-stop-daemon --start --quiet --pidfile $PIDFILE --chuid $USER:$USER --background --make-pidfile --exec $DAEMON -- --config $CONFIG --logfile $LOGFILE
    }

    function _stop() {
        start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo --retry 3
        rm -f $PIDFILE
    }

    function _status() {
        start-stop-daemon --status --quiet --pidfile $PIDFILE
        return $?
    }


    case "$1" in
            start)
                    echo -n "Starting $DESC: "
                    _start
                    echo "ok"
                    ;;
            stop)
                    echo -n "Stopping $DESC: "
                    _stop
                    echo "ok"
                    ;;
            restart|force-reload)
                    echo -n "Restarting $DESC: "
                    _stop
                    sleep 1
                    _start
                    echo "ok"
                    ;;
            status)
                    echo -n "Status of $DESC: "
                    _status && echo "running" || echo "stopped"
                    ;;
            *)
                    N=/etc/init.d/$NAME
                    echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
                    exit 1
                    ;;
    esac

    exit 0


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待